
class Array

  alias_method :merge, :|

  def merge!( other )
    self.replace( self | other )
  end

end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
=begin test

  require 'test/unit'

  class TC_MERGE < Test::Unit::TestCase

    def test_merge
      a = [1,2,3]
      b = [3,4,5]
      assert_equal( [1,2,3,4,5], a.merge(b) )
    end

    def test_merge!
      a = [1,2,3]
      b = [3,4,5]
      a.merge!(b)
      assert_equal( [1,2,3,4,5], a )
    end

  end

=end
